ORA-39358: Export dump file version 12.1.0.2.0 not compatible with target version 11.2.0.4.0

Problem:

While doing import got te below error.

ORA-39358: Export dump file version 12.1.0.2.0 not compatible with target version 11.2.0.4.0 .

Solution:

1. Check the compatible parameter of both source and target database.

Source:

SQL>show parameter compatible

NAME TYPE VALUE
———————————— ———– ———
compatible string 12.1.0.2.0
noncdb_compatible boolean FALSE

Target:

SQL> show parameter compatible

NAME                                 TYPE        VALUE
———————————— ———– ——–
compatible                           string      11.2.0.4.0

Here the source compatible parameter is higher version(12.1.0.2) and target is lower(11.2.0.4).
An export dump file generated from database with higher compatible parameter cannot be imported to a database with lower compatible value.
Either both should be same or target db compatible can be higher than the source compatible.

To solve this while taking export use VERSION=11.2 parameter

expdp dumpfile=test.dmp logfile=test.log directory=EXPDIR full=y version=11.2

Now we can import without any issues.

  • February 19, 2019 | 33 views
  • Comments